/**
 */
package org.example.converter;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EDataType;
import org.eclipse.emf.ecore.EPackage;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each operation of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see org.example.converter.ConverterFactory
 * @model kind="package"
 *        annotation="http://www.eclipse.org/emf/2002/GenModel basePackage='org.example'"
 * @generated
 */
public interface ConverterPackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "converter";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "org.example.converter";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "converter";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	ConverterPackage eINSTANCE = org.example.converter.impl.ConverterPackageImpl.init();

	/**
	 * The meta object id for the '{@link org.example.converter.impl.ConverterImpl <em>Converter</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.example.converter.impl.ConverterImpl
	 * @see org.example.converter.impl.ConverterPackageImpl#getConverter()
	 * @generated
	 */
	int CONVERTER = 0;

	/**
	 * The feature id for the '<em><b>Foo</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONVERTER__FOO = 0;

	/**
	 * The number of structural features of the '<em>Converter</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONVERTER_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>Converter</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONVERTER_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '<em>Point F</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.example.converter.Vector2f
	 * @see org.example.converter.impl.ConverterPackageImpl#getPointF()
	 * @generated
	 */
	int POINT_F = 1;


	/**
	 * Returns the meta object for class '{@link org.example.converter.Converter <em>Converter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Converter</em>'.
	 * @see org.example.converter.Converter
	 * @generated
	 */
	EClass getConverter();

	/**
	 * Returns the meta object for the attribute '{@link org.example.converter.Converter#getFoo <em>Foo</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Foo</em>'.
	 * @see org.example.converter.Converter#getFoo()
	 * @see #getConverter()
	 * @generated
	 */
	EAttribute getConverter_Foo();

	/**
	 * Returns the meta object for data type '{@link org.example.converter.Vector2f <em>Point F</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Point F</em>'.
	 * @see org.example.converter.Vector2f
	 * @model instanceClass="org.example.converter.Vector2f"
	 *        annotation="http://www.eclipse.org/emf/2002/GenModel create='<%org.example.converter.Vector2f%> _xblockexpression = null;\n{\n\tboolean _notEquals = (!<%com.google.common.base.Objects%>.equal(it, null));\n\tif (_notEquals)\n\t{\n\t\tfinal <%java.lang.String%>[] split = it.split(\";\");\n\t\tint _length = split.length;\n\t\tboolean _equals = (_length == 2);\n\t\tif (_equals)\n\t\t{\n\t\t\t<%java.lang.String%> _get = split[0];\n\t\t\t<%java.lang.Float%> _valueOf = <%java.lang.Float%>.valueOf(_get);\n\t\t\t<%java.lang.String%> _get_1 = split[1];\n\t\t\t<%java.lang.Float%> _valueOf_1 = <%java.lang.Float%>.valueOf(_get_1);\n\t\t\tnew <%org.example.converter.Vector2f%>((_valueOf).floatValue(), (_valueOf_1).floatValue());\n\t\t}\n\t}\n\t_xblockexpression = new <%org.example.converter.Vector2f%>(0, 0);\n}\nreturn _xblockexpression;' convert='float _x = it.getX();\n<%java.lang.String%> _plus = (<%java.lang.Float%>.valueOf(_x) + \";\");\nfloat _y = it.getY();\nreturn (_plus + <%java.lang.Float%>.valueOf(_y));'"
	 * @generated
	 */
	EDataType getPointF();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	ConverterFactory getConverterFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each operation of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link org.example.converter.impl.ConverterImpl <em>Converter</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.example.converter.impl.ConverterImpl
		 * @see org.example.converter.impl.ConverterPackageImpl#getConverter()
		 * @generated
		 */
		EClass CONVERTER = eINSTANCE.getConverter();

		/**
		 * The meta object literal for the '<em><b>Foo</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute CONVERTER__FOO = eINSTANCE.getConverter_Foo();

		/**
		 * The meta object literal for the '<em>Point F</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.example.converter.Vector2f
		 * @see org.example.converter.impl.ConverterPackageImpl#getPointF()
		 * @generated
		 */
		EDataType POINT_F = eINSTANCE.getPointF();

	}

} //ConverterPackage
