/**
 */
package org.example.converter.impl;

import com.google.common.base.Objects;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EDataType;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EPackage;

import org.eclipse.emf.ecore.impl.EFactoryImpl;

import org.eclipse.emf.ecore.plugin.EcorePlugin;

import org.example.converter.*;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Factory</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class ConverterFactoryImpl extends EFactoryImpl implements ConverterFactory {
	/**
	 * Creates the default factory implementation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static ConverterFactory init() {
		try {
			ConverterFactory theConverterFactory = (ConverterFactory)EPackage.Registry.INSTANCE.getEFactory(ConverterPackage.eNS_URI);
			if (theConverterFactory != null) {
				return theConverterFactory;
			}
		}
		catch (Exception exception) {
			EcorePlugin.INSTANCE.log(exception);
		}
		return new ConverterFactoryImpl();
	}

	/**
	 * Creates an instance of the factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ConverterFactoryImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public EObject create(EClass eClass) {
		switch (eClass.getClassifierID()) {
			case ConverterPackage.CONVERTER: return createConverter();
			default:
				throw new IllegalArgumentException("The class '" + eClass.getName() + "' is not a valid classifier");
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object createFromString(EDataType eDataType, String initialValue) {
		switch (eDataType.getClassifierID()) {
			case ConverterPackage.POINT_F:
				return createPointFFromString(eDataType, initialValue);
			default:
				throw new IllegalArgumentException("The datatype '" + eDataType.getName() + "' is not a valid classifier");
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String convertToString(EDataType eDataType, Object instanceValue) {
		switch (eDataType.getClassifierID()) {
			case ConverterPackage.POINT_F:
				return convertPointFToString(eDataType, instanceValue);
			default:
				throw new IllegalArgumentException("The datatype '" + eDataType.getName() + "' is not a valid classifier");
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Converter createConverter() {
		ConverterImpl converter = new ConverterImpl();
		return converter;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Vector2f createPointF(final String it) {
		Vector2f _xblockexpression = null;
		{
			boolean _notEquals = (!Objects.equal(it, null));
			if (_notEquals) {
				final String[] split = it.split(";");
				int _length = split.length;
				boolean _equals = (_length == 2);
				if (_equals) {
					String _get = split[0];
					Float _valueOf = Float.valueOf(_get);
					String _get_1 = split[1];
					Float _valueOf_1 = Float.valueOf(_get_1);
					new Vector2f((_valueOf).floatValue(), (_valueOf_1).floatValue());
				}
			}
			_xblockexpression = new Vector2f(0, 0);
		}
		return _xblockexpression;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Vector2f createPointFFromString(EDataType eDataType, String initialValue) {
		return createPointF(initialValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertPointF(final Vector2f it) {
		float _x = it.getX();
		String _plus = (Float.valueOf(_x) + ";");
		float _y = it.getY();
		return (_plus + Float.valueOf(_y));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertPointFToString(EDataType eDataType, Object instanceValue) {
		return convertPointF((Vector2f)instanceValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ConverterPackage getConverterPackage() {
		return (ConverterPackage)getEPackage();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated
	 * @generated
	 */
	@Deprecated
	public static ConverterPackage getPackage() {
		return ConverterPackage.eINSTANCE;
	}

} //ConverterFactoryImpl
